import { Logger } from '@n8n/backend-common';
import { InstanceSettings } from 'n8n-core';
import { OtelConfig } from './otel.config';
export declare class OtelService {
    private readonly config;
    private readonly instanceSettings;
    private readonly logger;
    private static isDiagnosticsLoggerConfigured;
    private sdk?;
    private hasLoggedStartupConnectivityFailure;
    constructor(config: OtelConfig, instanceSettings: InstanceSettings, logger: Logger);
    init(): void;
    shutdown(): Promise<void>;
    parseOtlpHeaders(headersToSplit: string): Record<string, string>;
    private configureDiagnosticsLogger;
    private buildOtlpTracesUrl;
    private checkEndpointReachability;
}
